Bug Hunting Session
Bug 72704 - Other: Bad encoding in bundled PT Serif font (currency symbols)
Summary: Other: Bad encoding in bundled PT Serif font (currency symbols)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta2
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Fonts-Bundled
  Show dependency treegraph
 
Reported: 2013-12-14 11:41 UTC by dlasher
Modified: 2019-08-28 20:55 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Same text, different currency symbols (4.39 KB, image/png)
2013-12-14 11:41 UTC, dlasher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dlasher 2013-12-14 11:41:34 UTC
Created attachment 90766 [details]
Same text, different currency symbols

Problem description: 
The PT Serif font bundled with LO has a serious (and deliberate) bug in the currency symbols block. The new Russian Ruble symbol is substituted for the Indian Rupee and Turkish Lira symbols.

Steps to reproduce:
1. In Writer type ₹100 [100 Rupees] or ₺1000 [1000 Turkish Lira] using e.g. Source Sans Pro
2. Select text and change font to PT Serif

Current behavior:
The ₹ and ₺ symbols change to the new Russian Ruble symbol introduced several days ago.

Expected behavior:
Currency symbols remain unchanged.

Background Information:
Several years ago, a group of Russian type foundries designed a symbol for the Ruble that they hoped would be officially adopted. [This was approved this week; http://rt.com/business/ruble-has-its-own-sign-038/].

To promote their then-unofficial symbol, ParaType added it to their fonts in a Very Bad Way - they used ALL of the codepoints in the Currency Symbols block that were empty at that time. (U+20B6 to U+20CF). Since then, there have been additions to that block, including Indian Rupee and Turkish Lira, and more are coming, including Azerbaijan Manat.

Resolution:
LibreOffice should stop bundling the PT Serif font until ParaType issues a properly-encoded version. Otherwise the currencies that users refer to in their documents will be ambiguous.

              
Operating System: Windows (other)
Version: 4.2.0.0.beta2
Comment 1 Jacques Guilleron 2013-12-14 12:20:50 UTC
Hi dlasher,

I reproduce with LO 4.2.0.0.beta2 & Windows 7 Home Premium.
I set status to New.

Thanks for the report.

Jacques
Comment 2 Julien Nabet 2013-12-14 22:30:28 UTC
Michael: do you know who manages bundled fonts?
Comment 3 Michael Meeks 2013-12-16 10:13:58 UTC
Caolan is a bit of a font expert =)
Comment 4 Caolán McNamara 2013-12-18 12:02:04 UTC
so, these were added originally under...

"Date:   Fri Nov 2 14:58:41 2012 +0100

    Add more fonts
    
    (PT Serif, Source Code Pro and Souce Sans Pro under OFL; Open Sans
    under ALv2)"

Its the OFL so we can't really delete the symbols locally and keep the name IIUC. So its either drop the font and anyone that has used it already looses out, or keep the font and suffer the problem that there are now incorrect symbols used for the newly assigned currency unicode positions. Both options suck.
Comment 5 Julien Nabet 2013-12-18 12:39:43 UTC
1) I took a look to the Paratype's website in "Free stuff" section and I read this:
"You may not place them on Web and FTP sites for free download, post them in newsgroups or distribute them by other means!"
Is it really ok to include fonts from them in LO package or ?

2) is there any chance Paratype releases a new version quickly which include the new symbols?

Caolán: I agree both solutions are quite bad but IMHO I think the dlasher's one (to remove the font until it's ok) is less bad.
Of course, this should be indicated in release notes with the detailed reason of this.
Comment 6 Maxim Monastirsky 2013-12-18 12:59:04 UTC
(In reply to comment #5)
> 1) I took a look to the Paratype's website in "Free stuff" section
It's not about the fonts we ship. You should look at http://www.paratype.com/public/ instead.
Comment 7 Adolfo Jayme 2013-12-20 05:28:11 UTC
This font bug shouldn’t mean stopping bundling the font IMHO, one can always switch to a different font to display a missing character.
Comment 8 Julien Nabet 2013-12-20 06:29:27 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > 1) I took a look to the Paratype's website in "Free stuff" section
> It's not about the fonts we ship. You should look at
> http://www.paratype.com/public/ instead.
Thank you for the link, I had missed it.
Comment 9 Stefan Knorr (astron) 2014-02-01 17:30:06 UTC
Afaik, Google Fonts autogenerates smaller versions of OFL fonts, removing various characters etc. as you wish.
PT Serif is one of them: http://www.google.com/fonts/specimen/PT+Serif

So, being pragmatic, it should be possible to fix this bug without running into Paratype lawyers, right? (I would not expect them to fix it for us.)
Comment 10 Joel Madero 2015-05-02 15:41:18 UTC Comment hidden (obsolete)
Comment 11 dlasher 2015-07-02 06:50:07 UTC
Still present in 4.4.4 (Windows)

As of Unicode 8.0, there are now *eight* other currency symbols that PT Serif shows as ₽ (Ruble Sign):
U+20B6, Livre Tournois Sign
U+20B7, Spesmilo Sign
U+20B8, Tenge Sign
U+20B9, Indian Rupee Sign
U+20BA, Turkish Lira Sign
U+20BB, Nordic Mark Sign
U+20BC, Manat Sign
U+20BE, Lari Sign

Frankly, I don't see why PT Serif is worth keeping. It seems to have only a couple of characters that Gentium Basic doesn't have, and many OS and some free fonts have better coverage, even of Cyrillic.
Comment 12 QA Administrators 2016-09-20 10:14:16 UTC Comment hidden (obsolete)
Comment 13 dlasher 2016-10-08 03:24:24 UTC
Still present in 5.2.2.2 (Windows)

As of Unicode 9.0, there are now *eight* other currency symbols that the bundled PT Serif font shows as ₽ (Ruble Sign):
U+20B6, Livre Tournois Sign
U+20B7, Spesmilo Sign
U+20B8, Tenge Sign
U+20B9, Indian Rupee Sign
U+20BA, Turkish Lira Sign
U+20BB, Nordic Mark Sign
U+20BC, Manat Sign
U+20BE, Lari Sign

The Bitcoin symbol is in the pipeline for Unicode 10.0, so it will be affected too.

I see that this PT Serif font is no longer available from Paratype. It seems to have a replacement called PT Serif Expert (http://www.paratype.com/expert/), which does not have this bug. It only comes in a single regular style and may not be available for redistribution.

Could LibreOffice *please* get rid of the fatally flawed and obsolete PT Serif font?
Comment 14 Julien Nabet 2016-10-08 06:02:38 UTC
Andras: having noticed some of your recent commits about fonts, thought you might be interested in this one.
Comment 15 QA Administrators 2017-10-23 14:00:43 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug